<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>StringArgument (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StringArgument (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/impl/argument/SingleItem.html" title="class in org.firebirdsql.gds.impl.argument"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/impl/argument/StringArgument.html" target="_top">Frames</a></li>
<li><a href="StringArgument.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl.argument</div>
<h2 title="Class StringArgument" class="title">Class StringArgument</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">org.firebirdsql.gds.impl.argument.Argument</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.argument.StringArgument</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="../../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">StringArgument</span>
extends <a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></pre>
<div class="block"><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument"><code>Argument</code></a> implementation for String values</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../serialized-form.html#org.firebirdsql.gds.impl.argument.StringArgument">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#StringArgument-int-org.firebirdsql.gds.impl.argument.ArgumentType-java.lang.String-">StringArgument</a></span>(int&nbsp;type,
              <a href="../../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;argumentType,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#StringArgument-int-org.firebirdsql.gds.impl.argument.ArgumentType-java.lang.String-org.firebirdsql.encodings.Encoding-">StringArgument</a></span>(int&nbsp;type,
              <a href="../../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;argumentType,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
              <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#copyTo-org.firebirdsql.gds.ParameterBuffer-org.firebirdsql.encodings.Encoding-">copyTo</a></span>(<a href="../../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;buffer,
      <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;stringEncoding)</code>
<div class="block">Copies this argument into the supplied buffer, uses the supplied <code>Encoding</code> for string arguments.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#getLength--">getLength</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#getValueAsInt--">getValueAsInt</a></span>()</code>
<div class="block">The value of the parameter as int.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#getValueAsString--">getValueAsString</a></span>()</code>
<div class="block">The value of the parameter as String.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html#writeTo-java.io.OutputStream-">writeTo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Writes the arguments to the supplied <a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io"><code>OutputStream</code></a> in the XDR format of the type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.impl.argument.Argument">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.impl.argument.<a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#getType--">getType</a>, <a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#getValueAsLong--">getValueAsLong</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StringArgument-int-org.firebirdsql.gds.impl.argument.ArgumentType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StringArgument</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;StringArgument(int&nbsp;type,
                                   <a href="../../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;argumentType,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="StringArgument-int-org.firebirdsql.gds.impl.argument.ArgumentType-java.lang.String-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StringArgument</h4>
<pre>public&nbsp;StringArgument(int&nbsp;type,
                      <a href="../../../../../org/firebirdsql/gds/impl/argument/ArgumentType.html" title="enum in org.firebirdsql.gds.impl.argument">ArgumentType</a>&nbsp;argumentType,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
                      <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="writeTo-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeTo</h4>
<pre>public&nbsp;void&nbsp;writeTo(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#writeTo-java.io.OutputStream-">Argument</a></code></span></div>
<div class="block">Writes the arguments to the supplied <a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io"><code>OutputStream</code></a> in the XDR format of the type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#writeTo-java.io.OutputStream-">writeTo</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputStream</code> - OutputStream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - For errors writing to the OutputStream</dd>
</dl>
</li>
</ul>
<a name="getLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre>public&nbsp;int&nbsp;getLength()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#getLength--">getLength</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Total length of the buffer item when written to the OutputStream by <a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#writeTo-java.io.OutputStream-"><code>Argument.writeTo(java.io.OutputStream)</code></a>.
 This includes the item, the value and other items contributing to the total length (eg the length of the value).</dd>
</dl>
</li>
</ul>
<a name="getValueAsString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueAsString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getValueAsString()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/Parameter.html#getValueAsString--">Parameter</a></code></span></div>
<div class="block">The value of the parameter as String.
 <p>
 The implementation may throw a RuntimeException if the parameter isn't a string (or shouldn't be used as a
 string).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/Parameter.html#getValueAsString--">getValueAsString</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#getValueAsString--">getValueAsString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value as string</dd>
</dl>
</li>
</ul>
<a name="getValueAsInt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueAsInt</h4>
<pre>public&nbsp;int&nbsp;getValueAsInt()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/Parameter.html#getValueAsInt--">Parameter</a></code></span></div>
<div class="block">The value of the parameter as int.
 <p>
 The implementation may throw a RuntimeException if the parameter isn't an int (or shouldn't be used as an
 int).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/Parameter.html#getValueAsInt--">getValueAsInt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#getValueAsInt--">getValueAsInt</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value as int</dd>
</dl>
</li>
</ul>
<a name="copyTo-org.firebirdsql.gds.ParameterBuffer-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyTo</h4>
<pre>public&nbsp;void&nbsp;copyTo(<a href="../../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;buffer,
                   <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;stringEncoding)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/Parameter.html#copyTo-org.firebirdsql.gds.ParameterBuffer-org.firebirdsql.encodings.Encoding-">Parameter</a></code></span></div>
<div class="block">Copies this argument into the supplied buffer, uses the supplied <code>Encoding</code> for string arguments.
 <p>
 An instance of <code>Parameter</code> should know how to copy itself into another buffer (eg an instance
 of <a href="../../../../../org/firebirdsql/gds/impl/argument/StringArgument.html" title="class in org.firebirdsql.gds.impl.argument"><code>StringArgument</code></a> would know to call
 <a href="../../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-"><code>ParameterBuffer.addArgument(int, String, Encoding)</code></a>).
 </p>
 <p>
 The parameter does not need to check if it is the right type of destination buffer (if someone tries to
 add a TPB argument to a DPB he is free to try that).
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - ParameterBuffer instance</dd>
<dd><code>stringEncoding</code> - Encoding to use for string properties. A value of <code>null</code> can be used to signal that the
         original encoding should be used.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html#hashCode--">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/impl/argument/Argument.html" title="class in org.firebirdsql.gds.impl.argument">Argument</a></code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;other)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/impl/argument/SingleItem.html" title="class in org.firebirdsql.gds.impl.argument"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/impl/argument/StringArgument.html" target="_top">Frames</a></li>
<li><a href="StringArgument.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
